=== debian/changelog ===
lwt (2.1.1-1) unstable; urgency=low

  * New upstream release (Closes: #580322)
  * Add libfindlib-ocaml-dev to Build-Depends

 -- Stéphane Glondu <glondu@debian.org>  Sun, 13 Jun 2010 11:33:56 +0200

lwt (2.1.0-1) unstable; urgency=low

  * New upstream release
  * debian/control:
    - bump priority to optional
    - bump versioned build-dependency to libreact-ocaml-dev to ease
      react transition
    - bump Standards-Version to 3.8.4 (no changes)
  * Switch source package to format 3.0 (quilt)

 -- Stéphane Glondu <glondu@debian.org>  Fri, 23 Apr 2010 15:19:47 +0200

lwt (2.0.0-1) unstable; urgency=low

  * New upstream release
  * Switch packaging to dh-ocaml 0.9
  * Upload to unstable

 -- Stéphane Glondu <glondu@debian.org>  Thu, 15 Oct 2009 23:58:46 +0200

lwt (2.0.0~rc1-1) experimental; urgency=low

  * New upstream release candidate
  * Update debian/copyright

 -- Stéphane Glondu <glondu@debian.org>  Fri, 25 Sep 2009 23:00:10 +0200

lwt (1.1.0+darcs20090806-3) experimental; urgency=low

  * Update my e-mail address, remove DMUA
  * Fix META.in so that lwt exists on bytecode architectures
    (Closes: #544316)

 -- Stéphane Glondu <glondu@debian.org>  Sun, 30 Aug 2009 19:15:16 +0200

lwt (1.1.0+darcs20090806-2) experimental; urgency=low

  * Create a runtime package for liblwt-ocaml-dev
  * Put documentation in its own architecture-independent package
  * Split out liblwt-ocaml-dev into several binary packages to reflect
    optional dependencies: liblwt-ssl-*, liblwt-glib-*

 -- Stephane Glondu <steph@glondu.net>  Tue, 25 Aug 2009 01:51:47 +0200

lwt (1.1.0+darcs20090806-1) experimental; urgency=low

  * New upstream snapshot
    - this version comes with an important API incompatibility regarding
      Lwt.{wait,wakeup} and friends (breaks ocsigen)
  * debian/control:
    - move to section ocaml, update Standards-Version to 3.8.3
    - add (build-)dependencies to lib{react,text,lablgtk2}-ocaml-dev,
      ocaml-compiler-libs and camlp4
  * Update watch file

 -- Stephane Glondu <steph@glondu.net>  Thu, 20 Aug 2009 17:12:13 +0200

lwt (1.1.0-3) unstable; urgency=low

  * Add dependency on dh-ocaml
  * Use ocaml.mk as "rules" file, instead of "class"
  * Bump version of libssl-ocaml-dev in dependencies
  * Set priority to extra

 -- Stephane Glondu <steph@glondu.net>  Mon, 02 Mar 2009 21:30:53 +0100

lwt (1.1.0-2) unstable; urgency=low

  * Upload after erroneous removal from archive (no changes)

 -- Stephane Glondu <steph@glondu.net>  Fri, 11 Jul 2008 13:20:06 +0200

lwt (1.1.0-1) unstable; urgency=low

  * Initial release (Closes: #487997)

 -- Stephane Glondu <steph@glondu.net>  Fri, 27 Jun 2008 00:47:45 +0200
