=== debian/control ===
Source: lwt
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Stéphane Glondu <glondu@debian.org>
Build-Depends:
 cdbs,
 debhelper (>= 7),
 dh-ocaml (>= 0.9),
 ocaml-findlib,
 libfindlib-ocaml-dev,
 libssl-ocaml-dev (>= 0.4.3-3~),
 liblablgtk2-ocaml-dev (>= 2.12.0-4~),
 libreact-ocaml-dev (>= 0.9.1-1~),
 libtext-ocaml-dev (>= 0.2-3~),
 camlp4,
 ocaml-compiler-libs,
 ocaml-nox (>= 3.11.1-3~)
Standards-Version: 3.8.4
Section: ocaml
Homepage: http://ocsigen.org/lwt
Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/lwt.git
Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/lwt.git

Package: liblwt-ocaml-dev
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Recommends:
 liblwt-ocaml-doc,
 ocaml-findlib
Suggests:
 liblwt-ssl-ocaml-dev,
 liblwt-glib-ocaml-dev
Breaks: ocsigen (<< 1.2.1)
Description: cooperative light-weight thread library for OCaml
 Lwt is a library of cooperative threads implemented in monadic style.
 With respect to preemptive threads, cooperative threads are not using
 a scheduler to distribute processor time between threads. Instead of
 this, each thread must tell the others that he wants to let them
 work.
 .
 This package contains all the development stuff you need to use the
 core Lwt OCaml library in your programs.

Package: liblwt-ocaml
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Replaces: liblwt-ocaml-dev (<< 2.0.0)
Conflicts: liblwt-ocaml-dev (<< 2.0.0)
Description: cooperative light-weight thread library for OCaml (runtime)
 Lwt is a library of cooperative threads implemented in monadic style.
 With respect to preemptive threads, cooperative threads are not using
 a scheduler to distribute processor time between threads. Instead of
 this, each thread must tell the others that he wants to let them
 work.
 .
 This package contains runtime libraries for programs using core Lwt.

Package: liblwt-ssl-ocaml-dev
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Replaces: liblwt-ocaml-dev (<= 2.0.0)
Conflicts: liblwt-ocaml-dev (<= 2.0.0)
Recommends:
 liblwt-ocaml-doc,
 ocaml-findlib
Description: cooperative OpenSSL bindings for OCaml
 Lwt is a library of cooperative threads implemented in monadic style.
 With respect to preemptive threads, cooperative threads are not using
 a scheduler to distribute processor time between threads. Instead of
 this, each thread must tell the others that he wants to let them
 work.
 .
 This package contains all the development stuff you need to use Lwt
 with cooperative OpenSSL in your programs.

Package: liblwt-glib-ocaml-dev
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Replaces: liblwt-ocaml-dev (<= 2.0.0)
Conflicts: liblwt-ocaml-dev (<= 2.0.0)
Recommends:
 liblwt-ocaml-doc,
 ocaml-findlib
Description: cooperative GLib bindings for OCaml
 Lwt is a library of cooperative threads implemented in monadic style.
 With respect to preemptive threads, cooperative threads are not using
 a scheduler to distribute processor time between threads. Instead of
 this, each thread must tell the others that he wants to let them
 work.
 .
 This package contains all the development stuff you need to use Lwt
 with cooperative GLib in your programs.

Package: liblwt-glib-ocaml
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Replaces: liblwt-ocaml-dev (<= 2.0.0)
Conflicts: liblwt-ocaml-dev (<= 2.0.0)
Description: cooperative GLib bindings for OCaml (runtime)
 Lwt is a library of cooperative threads implemented in monadic style.
 With respect to preemptive threads, cooperative threads are not using
 a scheduler to distribute processor time between threads. Instead of
 this, each thread must tell the others that he wants to let them
 work.
 .
 This package contains runtime libraries for programs using Lwt with
 cooperative GLib in your programs.

Package: liblwt-ocaml-doc
Section: doc
Architecture: all
Enhances:
 liblwt-ocaml-dev,
 liblwt-ssl-ocaml-dev,
 liblwt-glib-ocaml-dev
Depends: ${misc:Depends}
Replaces: liblwt-ocaml-dev (<= 2.0.0)
Conflicts: liblwt-ocaml-dev (<= 2.0.0)
Description: cooperative light-weight thread library (documentation)
 Lwt is a library of cooperative threads implemented in monadic style.
 With respect to preemptive threads, cooperative threads are not using
 a scheduler to distribute processor time between threads. Instead of
 this, each thread must tell the others that he wants to let them
 work.
 .
 This package contains the complete API reference for Lwt, including
 OpenSSL, GLib bindings and examples.
