=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
#
# debian/rules for lwt.
#
# Copyright © 2008 Stéphane Glondu
#

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/makefile.mk
include /usr/share/cdbs/1/rules/ocaml.mk

DESTDIR := $(CURDIR)/debian/tmp$(OCAML_STDLIB_DIR)

DEB_INSTALL_DIRS_ALL = -pliblwt-ocaml -Pdebian/tmp
DEB_MAKE_INSTALL_TARGET := install DESTDIR=$(DESTDIR)

build/liblwt-ocaml-doc::
	$(MAKE) doc
