=== debian/changelog ===
lwt (2.3.0-1) unstable; urgency=low

  [ Stéphane Glondu ]
  * New upstream release 2.2.1
    - add dependency to libev-dev (Closes: #612768)
  * Bump Standards-Version to 3.9.1
  * Bump debhelper compatibility level to 8

  [ Nicolas Dandrimont ]
  * Update to upstream release 2.3.0
  * Install the .cmxs and .cma files in the library packages
  * Add package liblwt-ssl-ocaml (Cooperative OpenSSL bindings runtime)
  * Install META in liblwt-ocaml (Closes: #587472)
  * Bump Standards-Version to 3.9.2 (no changes)

 -- Nicolas Dandrimont <nicolas.dandrimont@crans.org>  Sun, 24 Apr 2011 11:30:49 +0200
