=== debian/control ===
--- 
+++ 
@@ -1,21 +1,24 @@
 Source: lwt
 Priority: optional
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
-Uploaders: Stéphane Glondu <glondu@debian.org>
+Uploaders: Stéphane Glondu <glondu@debian.org>, Nicolas Dandrimont <nicolas.dandrimont@crans.org>
 Build-Depends:
- cdbs,
- debhelper (>= 7),
+ debhelper (>= 8),
  dh-ocaml (>= 0.9),
+ libev-dev,
  ocaml-findlib,
  libfindlib-ocaml-dev,
  libssl-ocaml-dev (>= 0.4.3-3~),
  liblablgtk2-ocaml-dev (>= 2.12.0-4~),
  libreact-ocaml-dev (>= 0.9.1-1~),
- libtext-ocaml-dev (>= 0.2-3~),
+ libtext-ocaml-dev (>= 0.4),
  camlp4,
  ocaml-compiler-libs,
- ocaml-nox (>= 3.11.1-3~)
-Standards-Version: 3.8.4
+ ocaml-nox (>= 3.12),
+# Needed for debian/modules.ml script
+ libpcre-ocaml-dev,
+ libfileutils-ocaml-dev
+Standards-Version: 3.9.2
 Section: ocaml
 Homepage: http://ocsigen.org/lwt
 Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/lwt.git
@@ -24,6 +27,7 @@
 Package: liblwt-ocaml-dev
 Architecture: any
 Depends:
+ libev-dev,
  ${ocaml:Depends},
  ${shlibs:Depends},
  ${misc:Depends}
@@ -52,8 +56,8 @@
  ${shlibs:Depends},
  ${misc:Depends}
 Provides: ${ocaml:Provides}
-Replaces: liblwt-ocaml-dev (<< 2.0.0)
-Conflicts: liblwt-ocaml-dev (<< 2.0.0)
+Replaces: liblwt-ocaml-dev (<< 2.3.0)
+Breaks: liblwt-ocaml-dev (<< 2.3.0)
 Description: cooperative light-weight thread library for OCaml (runtime)
  Lwt is a library of cooperative threads implemented in monadic style.
  With respect to preemptive threads, cooperative threads are not using
@@ -70,8 +74,8 @@
  ${shlibs:Depends},
  ${misc:Depends}
 Provides: ${ocaml:Provides}
-Replaces: liblwt-ocaml-dev (<= 2.0.0)
-Conflicts: liblwt-ocaml-dev (<= 2.0.0)
+Replaces: liblwt-ocaml-dev (<= 2.3.0)
+Breaks: liblwt-ocaml-dev (<= 2.3.0)
 Recommends:
  liblwt-ocaml-doc,
  ocaml-findlib
@@ -85,6 +89,25 @@
  This package contains all the development stuff you need to use Lwt
  with cooperative OpenSSL in your programs.
 
+Package: liblwt-ssl-ocaml
+Architecture: any
+Depends:
+ ${ocaml:Depends},
+ ${shlibs:Depends},
+ ${misc:Depends}
+Provides: ${ocaml:Provides}
+Replaces: liblwt-ocaml-dev (<= 2.3.0)
+Breaks: liblwt-ocaml-dev (<= 2.3.0)
+Description: cooperative OpenSSL bindings for OCaml (runtime)
+ Lwt is a library of cooperative threads implemented in monadic style.
+ With respect to preemptive threads, cooperative threads are not using
+ a scheduler to distribute processor time between threads. Instead of
+ this, each thread must tell the others that he wants to let them
+ work.
+ .
+ This package contains runtime libraries for programs using Lwt with
+ cooperative OpenSSL.
+
 Package: liblwt-glib-ocaml-dev
 Architecture: any
 Depends:
@@ -92,8 +115,8 @@
  ${shlibs:Depends},
  ${misc:Depends}
 Provides: ${ocaml:Provides}
-Replaces: liblwt-ocaml-dev (<= 2.0.0)
-Conflicts: liblwt-ocaml-dev (<= 2.0.0)
+Replaces: liblwt-ocaml-dev (<= 2.3.0)
+Breaks: liblwt-ocaml-dev (<= 2.3.0)
 Recommends:
  liblwt-ocaml-doc,
  ocaml-findlib
@@ -114,8 +137,8 @@
  ${shlibs:Depends},
  ${misc:Depends}
 Provides: ${ocaml:Provides}
-Replaces: liblwt-ocaml-dev (<= 2.0.0)
-Conflicts: liblwt-ocaml-dev (<= 2.0.0)
+Replaces: liblwt-ocaml-dev (<= 2.3.0)
+Breaks: liblwt-ocaml-dev (<= 2.3.0)
 Description: cooperative GLib bindings for OCaml (runtime)
  Lwt is a library of cooperative threads implemented in monadic style.
  With respect to preemptive threads, cooperative threads are not using
@@ -124,7 +147,7 @@
  work.
  .
  This package contains runtime libraries for programs using Lwt with
- cooperative GLib in your programs.
+ cooperative GLib.
 
 Package: liblwt-ocaml-doc
 Section: doc
@@ -134,8 +157,8 @@
  liblwt-ssl-ocaml-dev,
  liblwt-glib-ocaml-dev
 Depends: ${misc:Depends}
-Replaces: liblwt-ocaml-dev (<= 2.0.0)
-Conflicts: liblwt-ocaml-dev (<= 2.0.0)
+Replaces: liblwt-ocaml-dev (<= 2.3.0)
+Breaks: liblwt-ocaml-dev (<= 2.3.0)
 Description: cooperative light-weight thread library (documentation)
  Lwt is a library of cooperative threads implemented in monadic style.
  With respect to preemptive threads, cooperative threads are not using
