## lwt 2.3.1

=== examples/Makefile ===
--- 
+++ 
@@ -28,12 +28,22 @@
 
 # Tools
 OCAMLFIND := ocamlfind
-OCAMLBUILD := ocamlbuild
+OCAMLBUILD := ocamlbuild -byte-plugin
 
 # Use classic-display when compiling under a terminal which does not
 # support ANSI sequence:
 ifeq ($(TERM),dumb)
 OCAMLBUILD += -classic-display
+endif
+
+# Generate debuging information
+ifdef DEBUG
+OCAMLBUILD += -tag debug
+endif
+
+# Generate profiling information
+ifdef PROFILE
+OCAMLBUILD += -tag profile
 endif
 
 all: best
