=== debian/changelog ===
lwt (2.3.1-1build3) precise; urgency=low

  * No-change rebuild for OCaml 3.12.1.

 -- Ilya Barygin <randomaction@ubuntu.com>  Sun, 11 Dec 2011 14:10:25 +0400

lwt (2.3.1-1build2) precise; urgency=low

  * Rebuild for OCaml 3.12.1.

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 19 Nov 2011 16:58:26 +0000

lwt (2.3.1-1build1) precise; urgency=low

  * Rebuild for new libtext-ocaml-dev ABI.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 24 Oct 2011 11:50:09 +0100

lwt (2.3.1-1) unstable; urgency=low

  * New upstream release
    - patches removed because they were applied upstream:
      Fix-FTBFS-on-hurd, Fix-link-order-in-library-detection-test
    - new patches cherry-picked from upstream:
      fix-a-race-condition-in-Lwt_io, fix-data-corruption-in-Lwt_io

 -- Stéphane Glondu <glondu@debian.org>  Thu, 28 Jul 2011 22:54:23 +0200

lwt (2.3.0-3) unstable; urgency=low

  * Fix link order in library detection test (fixes FTBFS on Ubuntu)

 -- Stéphane Glondu <glondu@debian.org>  Tue, 12 Jul 2011 09:09:39 +0200

lwt (2.3.0-2) unstable; urgency=low

  * Fix FTBFS on Hurd due to use of PATH_MAX and HOSTNAME_MAX

 -- Nicolas Dandrimont <nicolas.dandrimont@crans.org>  Fri, 27 May 2011 01:16:15 +0200
