## lwt 2.3.2

=== manual/Makefile ===
--- 
+++ 
@@ -14,7 +14,7 @@
 	rubber --pdf manual.tex
 
 clean-aux:
-	rm -f .latex_of_wiki_offsets *.log *.aux *.out *.toc manual-wiki.tex
+	rm -f .latex_of_wiki_offsets *.log *.aux *.out *.toc
 
 clean: clean-aux
-	rm -f manual.pdf
+	rm -f manual.pdf manual-wiki.tex
