=== debian/changelog ===
lwt (2.3.2-1) unstable; urgency=low

  * New upstream release
    - remove fix-a-race-condition-in-Lwt_io.patch (applied upstream)
    - remove fix-data-corruption-in-Lwt_io.patch (applied upstream)
    - add Remove-buggy-dependencies-causing-FTBFS-on-no-natdyn.patch
  * Update debian/watch

 -- Stéphane Glondu <glondu@debian.org>  Sat, 31 Dec 2011 12:37:11 +0100
