## lwt 2.4.3

=== manual/Makefile ===
--- 
+++ 
@@ -8,7 +8,8 @@
 all: manual.pdf
 
 manual-wiki.tex: manual.wiki
-	latex_of_wiki < manual.wiki > manual-wiki.tex
+	latex_of_wiki lwt-manual < manual.wiki > manual-wiki.tex.tmp
+	mv manual-wiki.tex.tmp manual-wiki.tex
 
 manual.pdf: manual.tex manual-wiki.tex
 	rubber --pdf manual.tex
@@ -17,4 +18,4 @@
 	rm -f .latex_of_wiki_offsets *.log *.aux *.out *.toc
 
 clean: clean-aux
-	rm -f manual.pdf manual-wiki.tex
+	rm -f manual.pdf manual-wiki.tex manual-wiki.tex.tmp
