=== debian/changelog ===
lwt (2.4.3-4) unstable; urgency=low

  * Upload to unstable

 -- Stéphane Glondu <glondu@debian.org>  Wed, 04 Dec 2013 23:30:43 +0100

lwt (2.4.3-3) experimental; urgency=low

  * debian/patches:
    + Add Unix.O_CLOEXEC flag to Lwt_unix (for OCaml >= 4.01)

 -- Stéphane Glondu <glondu@debian.org>  Sat, 09 Nov 2013 08:11:43 +0100

lwt (2.4.3-2) experimental; urgency=low

  * Compile with OCaml >= 4
  * Update Vcs-*

 -- Stéphane Glondu <glondu@debian.org>  Fri, 26 Jul 2013 22:03:43 +0200

lwt (2.4.3-1) unstable; urgency=low

  * New upstream release
  * Use format version 1.0 in debian/copyright
  * Bump Standards-Version to 3.9.4
  * Upload to unstable

 -- Stéphane Glondu <glondu@debian.org>  Thu, 09 May 2013 17:28:49 +0200

lwt (2.4.2-1) experimental; urgency=low

  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Fri, 07 Dec 2012 11:15:41 +0100
