=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  debhelper (>= 8),
  dh-ocaml (>= 0.9),
  libev-dev,
- ocaml-findlib,
+ ocaml-findlib (>= 1.4),
  libfindlib-ocaml-dev,
  libssl-ocaml-dev (>= 0.4.3-3~),
  liblablgtk2-ocaml-dev (>= 2.12.0-4~),
@@ -14,15 +14,15 @@
  libtext-ocaml-dev (>= 0.4),
  camlp4,
  ocaml-compiler-libs,
- ocaml-nox (>= 3.12),
+ ocaml-nox (>= 4),
 # Needed for debian/modules.ml script
  libpcre-ocaml-dev,
  libfileutils-ocaml-dev
-Standards-Version: 3.9.2
+Standards-Version: 3.9.4
 Section: ocaml
 Homepage: http://ocsigen.org/lwt
-Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/lwt.git
-Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/lwt.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ocaml-maint/packages/lwt.git
+Vcs-Git: git://anonscm.debian.org/pkg-ocaml-maint/packages/lwt.git
 
 Package: liblwt-ocaml-dev
 Architecture: any
