=== manual/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # Makefile
 # --------
-# Copyright : (c) 2010, Jeremie Dimino <jeremie@dimino.org>
+# Copyright : (c) 2010, Jérémie Dimino <jeremie@dimino.org>
 # Licence   : BSD3
 #
 # This file is a part of lwt.
