=== debian/changelog ===
lwt (2.5.0+1-1) unstable; urgency=medium

  * New upstream release
    - remove patch Add-Unix.O_CLOEXEC-flag-to-Lwt_unix (applied upstream)
    - add patch Fix-FTBFS
    - add libppx-tools-ocaml-dev to Build-Depends
    - build-depend on libssl-ocaml-dev (>= 0.5)
  * Update debian/watch

 -- Stéphane Glondu <glondu@debian.org>  Wed, 14 Oct 2015 22:44:52 +0200
