=== debian/control ===
--- 
+++ 
@@ -8,10 +8,11 @@
  libev-dev,
  ocaml-findlib (>= 1.4),
  libfindlib-ocaml-dev,
- libssl-ocaml-dev (>= 0.4.3-3~),
+ libssl-ocaml-dev (>= 0.5),
  liblablgtk2-ocaml-dev (>= 2.12.0-4~),
  libreact-ocaml-dev (>= 0.9.1-1~),
  libtext-ocaml-dev (>= 0.4),
+ libppx-tools-ocaml-dev,
  camlp4,
  ocaml-compiler-libs,
  ocaml-nox (>= 4),
