=== debian/rules ===
--- 
+++ 
@@ -10,6 +10,7 @@
 
 export OCAML_DLL_DIR
 export OCAML_HAVE_OCAMLOPT
+export OCAML_NATDYNLINK
 export OCAMLFIND_DESTDIR=$(DESTDIR)/$(OCAML_STDLIB_DIR)
 export OCAMLFIND_LDCONF=ignore
