## lwt 2.5.2

=== debian/changelog ===
lwt (2.5.2-2) unstable; urgency=medium

  * Add ocamlbuild to Build-Depends

 -- Stéphane Glondu <glondu@debian.org>  Sat, 22 Jul 2017 09:06:57 +0200

lwt (2.5.2-1) unstable; urgency=medium

  * New upstream release
  * Fix package description, thanks to Justin B Rye (Closes: #787012)
  * Update Vcs-*
  * Update debian/copyright
  * Bump debhelper compat to 9
  * Bump Standards-Version to 3.9.8

 -- Stéphane Glondu <glondu@debian.org>  Thu, 28 Jul 2016 10:40:19 +0200
