=== debian/control ===
Source: lwt
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Stéphane Glondu <glondu@debian.org>, Nicolas Dandrimont <nicolas.dandrimont@crans.org>
Build-Depends:
 debhelper (>= 9),
 dh-ocaml (>= 0.9),
 libev-dev,
 ocaml-findlib (>= 1.4),
 ocamlbuild,
 libfindlib-ocaml-dev,
 libssl-ocaml-dev (>= 0.5),
 liblablgtk2-ocaml-dev (>= 2.12.0-4~),
 libreact-ocaml-dev (>= 0.9.1-1~),
 libtext-ocaml-dev (>= 0.4),
 libppx-tools-ocaml-dev,
 camlp4,
 ocaml-compiler-libs,
 ocaml-nox (>= 4),
# Needed for debian/modules.ml script
 libpcre-ocaml-dev,
 libfileutils-ocaml-dev
Standards-Version: 3.9.8
Section: ocaml
Homepage: http://ocsigen.org/lwt
Vcs-Browser: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/lwt.git
Vcs-Git: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/lwt.git

Package: liblwt-ocaml-dev
Architecture: any
Depends:
 libev-dev,
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Recommends:
 liblwt-ocaml-doc,
 ocaml-findlib
Suggests:
 liblwt-ssl-ocaml-dev,
 liblwt-glib-ocaml-dev
Breaks: ocsigen (<< 1.2.1)
Description: cooperative light-weight thread library for OCaml
 Lwt is a library for cooperative threads implemented in a monadic style.
 Unlike preemptive threads, cooperative threads do not use a scheduler to
 distribute processor time between threads. Instead, each thread must
 announce that it wants to let the others run.
 .
 This package contains all the development stuff you need to use the
 core Lwt OCaml library in your programs.

Package: liblwt-ocaml
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Replaces: liblwt-ocaml-dev (<< 2.3.0)
Breaks: liblwt-ocaml-dev (<< 2.3.0)
Description: cooperative light-weight thread library for OCaml (runtime)
 Lwt is a library for cooperative threads implemented in a monadic style.
 Unlike preemptive threads, cooperative threads do not use a scheduler to
 distribute processor time between threads. Instead, each thread must
 announce that it wants to let the others run.
 .
 This package contains runtime libraries for programs using core Lwt.

Package: liblwt-ssl-ocaml-dev
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Replaces: liblwt-ocaml-dev (<= 2.3.0)
Breaks: liblwt-ocaml-dev (<= 2.3.0)
Recommends:
 liblwt-ocaml-doc,
 ocaml-findlib
Description: cooperative OpenSSL bindings for OCaml
 Lwt is a library for cooperative threads implemented in a monadic style.
 Unlike preemptive threads, cooperative threads do not use a scheduler to
 distribute processor time between threads. Instead, each thread must
 announce that it wants to let the others run.
 .
 This package contains all the development stuff you need to use Lwt
 with cooperative OpenSSL in your programs.

Package: liblwt-ssl-ocaml
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Replaces: liblwt-ocaml-dev (<= 2.3.0)
Breaks: liblwt-ocaml-dev (<= 2.3.0)
Description: cooperative OpenSSL bindings for OCaml (runtime)
 Lwt is a library for cooperative threads implemented in a monadic style.
 Unlike preemptive threads, cooperative threads do not use a scheduler to
 distribute processor time between threads. Instead, each thread must
 announce that it wants to let the others run.
 .
 This package contains runtime libraries for programs using Lwt with
 cooperative OpenSSL.

Package: liblwt-glib-ocaml-dev
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Replaces: liblwt-ocaml-dev (<= 2.3.0)
Breaks: liblwt-ocaml-dev (<= 2.3.0)
Recommends:
 liblwt-ocaml-doc,
 ocaml-findlib
Description: cooperative GLib bindings for OCaml
 Lwt is a library for cooperative threads implemented in a monadic style.
 Unlike preemptive threads, cooperative threads do not use a scheduler to
 distribute processor time between threads. Instead, each thread must
 announce that it wants to let the others run.
 .
 This package contains all the development stuff you need to use Lwt
 with cooperative GLib in your programs.

Package: liblwt-glib-ocaml
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Replaces: liblwt-ocaml-dev (<= 2.3.0)
Breaks: liblwt-ocaml-dev (<= 2.3.0)
Description: cooperative GLib bindings for OCaml (runtime)
 Lwt is a library for cooperative threads implemented in a monadic style.
 Unlike preemptive threads, cooperative threads do not use a scheduler to
 distribute processor time between threads. Instead, each thread must
 announce that it wants to let the others run.
 .
 This package contains runtime libraries for programs using Lwt with
 cooperative GLib.

Package: liblwt-ocaml-doc
Section: doc
Architecture: all
Enhances:
 liblwt-ocaml-dev,
 liblwt-ssl-ocaml-dev,
 liblwt-glib-ocaml-dev
Depends: ${misc:Depends}
Replaces: liblwt-ocaml-dev (<= 2.3.0)
Breaks: liblwt-ocaml-dev (<= 2.3.0)
Description: cooperative light-weight thread library (documentation)
 Lwt is a library for cooperative threads implemented in a monadic style.
 Unlike preemptive threads, cooperative threads do not use a scheduler to
 distribute processor time between threads. Instead, each thread must
 announce that it wants to let the others run.
 .
 This package contains the complete API reference for Lwt, including
 OpenSSL, GLib bindings, and examples.
