=== doc/examples/gtk/Makefile ===
all:
	ocamlbuild -use-ocamlfind -classic-display -package lwt.unix,lwt.glib,lwt.ppx,lablgtk2 connect.byte
