=== debian/changelog ===
lwt (2.7.1-4build1) bionic; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 28 Oct 2017 17:01:27 +0200

lwt (2.7.1-4) unstable; urgency=medium

  * Disable two tests that hang or fail on arm64 (Closes: #878495)

 -- Stéphane Glondu <glondu@debian.org>  Mon, 16 Oct 2017 10:32:50 +0200

lwt (2.7.1-3) unstable; urgency=medium

  * Properly fix installation on bytecode architectures (Closes:
    #878236)

 -- Stéphane Glondu <glondu@debian.org>  Fri, 13 Oct 2017 14:45:33 +0200

lwt (2.7.1-2) unstable; urgency=medium

  * Fix installation on bytecode architectures (Closes: #878236)

 -- Stéphane Glondu <glondu@debian.org>  Thu, 12 Oct 2017 09:31:18 +0200

lwt (2.7.1-1) unstable; urgency=medium

  [ Stéphane Glondu ]
  * New upstream release
    - remove patch: there is no more manual to not build
    - build-depend on libresult-ocaml-dev and cppo
    - run tests (except unix_mcast)
    - add lwt_{react,ssl,glib} findlib packages
  * Update debian/watch
  * Bump Standards-Version to 4.0.0

  [ Nicolas Dandrimont ]
  * d/control: remove myself from Uploaders

 -- Stéphane Glondu <glondu@debian.org>  Mon, 09 Oct 2017 14:23:46 +0200
