=== debian/control ===
--- 
+++ 
@@ -1,18 +1,20 @@
 Source: lwt
 Priority: optional
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
-Uploaders: Stéphane Glondu <glondu@debian.org>, Nicolas Dandrimont <nicolas.dandrimont@crans.org>
+Uploaders: Stéphane Glondu <glondu@debian.org>
 Build-Depends:
  debhelper (>= 9),
  dh-ocaml (>= 0.9),
  libev-dev,
  ocaml-findlib (>= 1.4),
  ocamlbuild,
+ cppo,
  libfindlib-ocaml-dev,
  libssl-ocaml-dev (>= 0.5),
  liblablgtk2-ocaml-dev (>= 2.12.0-4~),
  libreact-ocaml-dev (>= 0.9.1-1~),
  libtext-ocaml-dev (>= 0.4),
+ libresult-ocaml-dev,
  libppx-tools-ocaml-dev,
  camlp4,
  ocaml-compiler-libs,
@@ -20,7 +22,7 @@
 # Needed for debian/modules.ml script
  libpcre-ocaml-dev,
  libfileutils-ocaml-dev
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Section: ocaml
 Homepage: http://ocsigen.org/lwt
 Vcs-Browser: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/lwt.git
