=== debian/rules ===
--- 
+++ 
@@ -22,10 +22,12 @@
 
 .PHONY: override_dh_auto_configure
 override_dh_auto_configure:
-	ocaml setup.ml -configure --prefix /usr --destdir '$(DESTDIR)' --enable-all --docdir /usr/share/doc/liblwt-ocaml-dev
+	ocaml setup.ml -configure --prefix '$(DESTDIR)/usr' --destdir '$(DESTDIR)' --enable-all --enable-tests --docdir '$(DESTDIR)/usr/share/doc/liblwt-ocaml-dev'
 
 .PHONY: override_dh_auto_build
 override_dh_auto_build:
+# Disable mcast tests; they use network
+	sed -i '/mcast/d' tests/unix/main.ml
 	ocaml setup.ml -build
 	ocaml setup.ml -doc
 
@@ -37,6 +39,8 @@
 override_dh_auto_install:
 	mkdir -p '$(OCAMLFIND_DESTDIR)'
 	ocaml setup.ml -install
+	cp _build/src/unix/lwt_unix.mli debian/tmp/usr/lib/ocaml/lwt/
+	for u in react glib ssl; do ocamlfind install lwt_$$u src/$$u/META; done
 
 .PHONY: override_dh_install
 override_dh_install:
