## lwt 4.3.0

=== debian/changelog ===
lwt (4.3.0-2) unstable; urgency=medium

  * Comment out page_size test, which does not pass on all architectures

 -- Stéphane Glondu <glondu@debian.org>  Mon, 11 Nov 2019 11:20:36 +0100

lwt (4.3.0-1) unstable; urgency=medium

  * New upstream release
    - SSL bindings have been moved to a different package, drop binary
      packages liblwt-ssl-ocaml{,-dev}
    - drop liblwt-ocaml-doc which has been empty for a while

 -- Stéphane Glondu <glondu@debian.org>  Fri, 08 Nov 2019 16:34:06 +0100

lwt (2.7.1-7) unstable; urgency=medium

  * Disable glib bindings

 -- Stéphane Glondu <glondu@debian.org>  Tue, 20 Aug 2019 06:16:50 +0200

lwt (2.7.1-6) unstable; urgency=medium

  * Remove camlp4 and lib{text,fileutils}-ocaml-dev from Build-Depends
    - doc is no longer built and tests are no longer run
  * Bump Standards-Version to 4.4.0
  * Bump debhelper compat level to 12

 -- Stéphane Glondu <glondu@debian.org>  Mon, 05 Aug 2019 11:37:02 +0200

lwt (2.7.1-5) unstable; urgency=high

  * Force rebuild of all packages on buildds
  * Update Vcs-*

 -- Stéphane Glondu <glondu@debian.org>  Fri, 02 Aug 2019 10:06:11 +0200
